#include <stdio.h>
#include <stdlib.h>
#include "print.h"

int main(int argc, char * argv[])
{
  FILE * fptr;
  int * intArray;
  int * intArray2;
  int numElem;
  int elemValue;
  int sum;
  int arrayIndex;
  fptr = NULL;

/*
  Task1: open the file, read the first number in the file and use it as the size
  of intArray and intArray2
*/
  if (argc > 2) {
	printf("usage: ./debug <filename>\n");
	return EXIT_FAILURE;
  }
  fptr = fopen(argv[1], "r");
  fscanf(fptr, "%d", & numElem);
  printf("The size of arrays will be %d\n", numElem);

/*
  Task2: allocate memory for two arrays
  Elements of intArray are incremented by 1000, starting from 0.
  Elements of intArray2 are incremented by 1, starting from 0.
*/
  intArray = malloc(numElem * sizeof(char));
  for (arrayIndex = 0; arrayIndex <= numElem + 2; arrayIndex ++) {
    intArray[arrayIndex] = arrayIndex * 1000;
  }
  for (arrayIndex = 1; arrayIndex < numElem + 2; arrayIndex ++) {
    intArray2[arrayIndex] = arrayIndex;
  }

/*
  Task3: print intArray and intArray2
*/
  printArray(intArray, numElem * 2);
  printArray(intArray2, numElem * 2);

/*
  Task4: Sum the remaining numbers in the file and print the sum.
*/
  while (fscanf(fptr, "%d", & elemValue) != EOF) {
    sum = 0;
    sum += elemValue;
  }
  fclose(fptr);
  printf("sum = %d\n", sum);
  return EXIT_SUCCESS;
}
